com.informix.jdbc

## Class Version2

- java.lang.Object
- - com.informix.jdbc.Version2

    public class Version2
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Version2()`

### Method Summary

Methods
`static java.util.Date` `getBuildDate()`
`static java.lang.String` `getBuildEdition()`
`static int` `getBuildNumber()`
`static java.lang.String` `getLegacyVersionString()`
`static int` `getMajorVerision()`
`static int` `getMinorVersion()`
`static int` `getServiceSubVersion()`
`static int` `getServiceVersion()`
`static java.lang.String` `getVendor()`
`static java.lang.String` `getVersionAsString()`
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Version2

    public Version2()

### Method Detail

#### main

    public static void main(java.lang.String[] args)

#### getVersionAsString

    public static java.lang.String getVersionAsString()

#### getMajorVerision

    public static int getMajorVerision()

#### getMinorVersion

    public static int getMinorVersion()

#### getServiceVersion

    public static int getServiceVersion()

#### getServiceSubVersion

    public static int getServiceSubVersion()

#### getBuildNumber

    public static int getBuildNumber()

#### getBuildEdition

    public static java.lang.String getBuildEdition()

#### getBuildDate

    public static java.util.Date getBuildDate()

#### getVendor

    public static java.lang.String getVendor()

#### getLegacyVersionString

    public static java.lang.String getLegacyVersionString()